%define oname		gmime

%define	major		0
%define apiver		2.6
%define libname		%mklibname %{oname} %{apiver} %{major}
%define girname		%mklibname %{oname}-gir %{apiver}
%define develname 	%mklibname %{oname} %{apiver} -d

%define build_mono 1

%ifarch %mips
%define build_mono 0
%endif

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		The libGMIME library
Name:			gmime%{apiver}
Version:		2.6.23
Release:		%mkrel 12
License:		LGPLv2+
Group:			System/Libraries
URL:			https://spruce.sourceforge.net/gmime
Source0:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:			gmime-2.6.4-monoprefix.patch
Patch1:			gmime-2.6.17-temporarily-disable-failing-test.patch
# Apply until we drop gnupg and add gpg2 -> gpg symlinks
Patch2:			gmime-2.6.23-gnupg2-tests.patch
BuildRequires:		pkgconfig(glib-2.0) >= 2.18.0
BuildRequires:		pkgconfig(gobject-introspection-1.0)
BuildRequires:		pkgconfig(gpgme)
BuildRequires:		pkgconfig(vapigen)
# Some tests require /usr/bin/gpg2
BuildRequires:		gnupg2

%if %{build_mono}
BuildRequires:		pkgconfig(mono)
BuildRequires:		pkgconfig(glib-sharp-2.0) >= 2.4.0
BuildRequires:		pkgconfig(gapi-2.0)
%endif

%description
This library allows you to manipulate MIME messages.

%package -n %{oname}-utils
Summary:	Utilities using the libGMIME library
Group:		File tools
Obsoletes:	gmime-utils < 2.6.23-4

%description -n %{oname}-utils
This package contains gmime-uudecode and gmime-uuencode and will
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package.

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{girname}
Summary:	GObject Introspection interface description for GMime
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GMime.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/C
Provides:	lib%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Obsoletes:	%{_lib}gmime-devel < 2.6.23-4

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%if %{build_mono}
%package sharp
Summary:	GMIME# bindings for mono
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	gmime-sharp < 2.6.23-4

%description sharp
This library allows you to manipulate MIME messages.
%endif

%prep
%setup -qn %{oname}-%{version}
%patch -P 1 -p1 -b .testfail
%patch -P 2 -p1 -b .gnupg2

%build
%configure --disable-static

#gw parallel build broken in 2.1.15
# (tpg) mono stuff doesn't like parallel build, this solves it
make

%check
make check

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_libdir}/gmimeConf.sh
rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GMime-%{apiver}.typelib

%files -n %{develname}
%doc AUTHORS ChangeLog PORTING README TODO
%doc %{_datadir}/gtk-doc/html/%{oname}-%{apiver}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/*
%{_datadir}/gir-1.0/GMime-%{apiver}.gir
%{_datadir}/vala/vapi/gmime-%{apiver}.*

%if %{build_mono}
%{_datadir}/gapi-2.0/gmime-api.xml

%files sharp
%{_prefix}/lib/mono/gac/%{oname}-sharp
%{_prefix}/lib/mono/%{oname}-sharp-%{apiver}
%{_libdir}/pkgconfig/%{oname}-sharp-%{apiver}.pc
%endif


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.6.23-12.mga10
+ Revision: 2229029
- Mageia 10 Mass Rebuild

* Fri Oct 18 2024 daviddavid <daviddavid> 2.6.23-11.mga10
+ Revision: 2107843
- libmcs support is no more used

* Fri Dec 02 2022 umeabot <umeabot> 2.6.23-10.mga9
+ Revision: 1914195
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 2.6.23-9.mga8
+ Revision: 1629216
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 tv <tv> 2.6.23-8.mga8
+ Revision: 1628986
- rebuild for new mono

* Thu Feb 13 2020 umeabot <umeabot> 2.6.23-7.mga8
+ Revision: 1512519
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.6.23-6.mga7
+ Revision: 1297923
- Mageia 7 Mass Rebuild

* Sun May 06 2018 wally <wally> 2.6.23-5.mga7
+ Revision: 1226867
- add patch to run tests with gnupg2

* Mon Dec 18 2017 wally <wally> 2.6.23-4.mga7
+ Revision: 1183231
- fork as gmime2.6

* Fri Jun 30 2017 pterjan <pterjan> 2.6.23-3.mga6
+ Revision: 1108751
- Build mono bindings on arm, required by tomboy

* Sat May 27 2017 pterjan <pterjan> 2.6.23-2.mga6
+ Revision: 1105091
- Require gnupg for tests (fixes build)

* Sun Feb 19 2017 ovitters <ovitters> 2.6.23-1.mga6
+ Revision: 1086909
- new version 2.6.23

* Sun Feb 14 2016 umeabot <umeabot> 2.6.20-6.mga6
+ Revision: 960307
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 2.6.20-5.mga6
+ Revision: 847385
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 2.6.20-4.mga5
+ Revision: 740344
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.6.20-3.mga5
+ Revision: 731142
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 2.6.20-2.mga5
+ Revision: 679669
- Mageia 5 Mass Rebuild

* Wed Feb 19 2014 ovitters <ovitters> 2.6.20-1.mga5
+ Revision: 594779
- new version 2.6.20

* Mon Oct 21 2013 ovitters <ovitters> 2.6.19-1.mga4
+ Revision: 537740
- new version 2.6.19

* Sat Oct 19 2013 umeabot <umeabot> 2.6.18-2.mga4
+ Revision: 534946
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 ovitters <ovitters> 2.6.18-1.mga4
+ Revision: 480230
- new version 2.6.18

* Fri Aug 09 2013 wally <wally> 2.6.17-1.mga4
+ Revision: 465030
- temporarily disable failing mime test
- build vala bindings and with gobject-introspection
+ ovitters <ovitters>
- new version 2.6.17

* Sun Jun 30 2013 ovitters <ovitters> 2.6.16-1.mga4
+ Revision: 448628
- new version 2.6.16

* Tue Feb 19 2013 ovitters <ovitters> 2.6.15-1.mga4
+ Revision: 399426
- new version 2.6.15
- new version 2.6.14

* Mon Jan 14 2013 rtp <rtp> 2.6.13-3.mga3
+ Revision: 385406
- fix build without mono

* Sat Jan 12 2013 umeabot <umeabot> 2.6.13-2.mga3
+ Revision: 351869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 ovitters <ovitters> 2.6.13-1.mga3
+ Revision: 329201
- new version 2.6.13

* Thu Nov 08 2012 fwang <fwang> 2.6.12-1.mga3
+ Revision: 316321
- new version 2.6.12

* Fri Oct 19 2012 ovitters <ovitters> 2.6.11-1.mga3
+ Revision: 308111
- new version 2.6.11

* Thu Jun 14 2012 ovitters <ovitters> 2.6.10-1.mga3
+ Revision: 260417
- new version 2.6.10

* Sun Apr 22 2012 ovitters <ovitters> 2.6.9-1.mga2
+ Revision: 232677
- new version 2.6.9

* Fri Apr 20 2012 boklm <boklm> 2.6.8-2.mga2
+ Revision: 231973
- rebuild to fix package signature problem

* Fri Apr 20 2012 ovitters <ovitters> 2.6.8-1.mga2
+ Revision: 231936
- new version 2.6.8

* Tue Mar 13 2012 ovitters <ovitters> 2.6.7-1.mga2
+ Revision: 223287
- new version 2.6.7

* Wed Feb 22 2012 ovitters <ovitters> 2.6.6-1.mga2
+ Revision: 212357
- new version

* Tue Feb 21 2012 fwang <fwang> 2.6.5-1.mga2
+ Revision: 211380
- update file list
- update file list
- new version 2.6.5

* Mon Feb 06 2012 fwang <fwang> 2.6.4-2.mga2
+ Revision: 205483
- fix mono prefix

* Mon Jan 09 2012 fwang <fwang> 2.6.4-1.mga2
+ Revision: 193686
- move mono packages
- upstream already pushed new binary name
- new version 2.6.4

* Sat Dec 24 2011 wally <wally> 2.6.3-1.mga2
+ Revision: 187148
- new version 2.6.3

* Sun Dec 18 2011 fwang <fwang> 2.6.2-1.mga2
+ Revision: 183484
- new version 2.6.2

* Sun Nov 06 2011 wally <wally> 2.6.1-1.mga2
+ Revision: 164425
- new version 2.6.1
- new version 2.5.10
- new version 2.5.9
- new api 2.6 and major 0
- disable static build
- don't regenerate gtk-docs
- drop old provides
- clean BRs and use pkgconfig style if possible
- clean .spec
+ fwang <fwang>
- new version 2.6.0

* Wed Jun 29 2011 fwang <fwang> 2.4.25-1.mga2
+ Revision: 115568
- new version 2.4.25

* Thu Mar 24 2011 boklm <boklm> 2.4.23-2.mga1
+ Revision: 76146
- rebuild for bug #497

* Wed Mar 09 2011 eandry <eandry> 2.4.23-1.mga1
+ Revision: 67028
- New version 2.4.23
- clean spec

* Sun Jan 23 2011 pterjan <pterjan> 2.4.21-1.mga1
+ Revision: 35322
- Drop old scriptlets
- imported package gmime


* Sun Dec 05 2010 Götz Waschk <waschk@mandriva.org> 2.4.21-1mdv2011.0
+ Revision: 610710
- update to new version 2.4.21

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 2.4.20-1mdv2011.0
+ Revision: 585573
- update to new version 2.4.20

* Sun Oct 10 2010 Funda Wang <fwang@mandriva.org> 2.4.19-2mdv2011.0
+ Revision: 584556
- rebuild for new mono

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.4.19-1mdv2011.0
+ Revision: 578025
- update to new version 2.4.19

* Fri Aug 27 2010 Götz Waschk <waschk@mandriva.org> 2.4.18-1mdv2011.0
+ Revision: 573470
- update to new version 2.4.18

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.4.17-1mdv2011.0
+ Revision: 550719
- new version
- drop patch

* Tue Feb 02 2010 Götz Waschk <waschk@mandriva.org> 2.4.15-1mdv2010.1
+ Revision: 499609
- update to new version 2.4.15

* Sat Jan 30 2010 Frederik Himpe <fhimpe@mandriva.org> 2.4.14-1mdv2010.1
+ Revision: 498607
- update to new version 2.4.14

* Tue Jan 19 2010 Götz Waschk <waschk@mandriva.org> 2.4.13-1mdv2010.1
+ Revision: 493695
- update to new version 2.4.13

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.4.12-1mdv2010.1
+ Revision: 490414
- update to new version 2.4.12

* Sat Nov 07 2009 Götz Waschk <waschk@mandriva.org> 2.4.11-1mdv2010.1
+ Revision: 462457
- update to new version 2.4.11

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 2.4.10-1mdv2010.0
+ Revision: 456737
- update to new version 2.4.10

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2.4.9-2mdv2010.0
+ Revision: 448961
- disable mono on mips (from Arnaud Patard) and arm

* Thu Sep 03 2009 Götz Waschk <waschk@mandriva.org> 2.4.9-1mdv2010.0
+ Revision: 428334
- update to new version 2.4.9

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.4.8-1mdv2010.0
+ Revision: 415708
- update to new version 2.4.8

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 2.4.7-1mdv2010.0
+ Revision: 369069
- update to new version 2.4.7
- fix source URL
- new version
- new api
- fix format strings
- update file list
- revert to 2.2

  + mandrake <mandrake@mandriva.com>
    - %%repsys markrelease
      version: 2.2.23
      release: 1mdv2009.0
      revision: 284737
      Copying 2.2.23-1mdv2009.0 to releases/ directory.

* Sun Sep 14 2008 Götz Waschk <waschk@mandriva.org> 2.2.23-1mdv2009.0
+ Revision: 284737
- new version

* Sun Jul 20 2008 Götz Waschk <waschk@mandriva.org> 2.2.22-1mdv2009.0
+ Revision: 239061
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 24 2008 Götz Waschk <waschk@mandriva.org> 2.2.21-1mdv2009.0
+ Revision: 210953
- new version

* Mon May 19 2008 Götz Waschk <waschk@mandriva.org> 2.2.20-1mdv2009.0
+ Revision: 208892
- new version

* Sun May 04 2008 Götz Waschk <waschk@mandriva.org> 2.2.19-1mdv2009.0
+ Revision: 201158
- new version

* Sun Mar 16 2008 Götz Waschk <waschk@mandriva.org> 2.2.18-1mdv2008.1
+ Revision: 188191
- new version

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.17-1mdv2008.1
+ Revision: 164912
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.2.16-1mdv2008.1
+ Revision: 161914
- new version

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.2.15-1mdv2008.1
+ Revision: 140854
- new version

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.2.14-1mdv2008.1
+ Revision: 140190
- new version

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 2.2.13-1mdv2008.1
+ Revision: 140062
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.12-1mdv2008.1
+ Revision: 120714
- new version

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 2.2.11-1mdv2008.1
+ Revision: 108526
- new version

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-4mdv2008.1
+ Revision: 105204
- really fix gmime-sharp deps

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-3mdv2008.1
+ Revision: 105174
- fix deps of the sharp package

* Fri Nov 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.10-2mdv2008.1
+ Revision: 105104
- fix obsoletes and provides for main library

* Thu Nov 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.10-1mdv2008.1
+ Revision: 104694
- correct libification (wrong major)
- make use of %%major in file list
- remove buildrequires on auto* stuff
- add necessary provides/obsoletes
- use perl hack for parallel build
- fix file list
- new license policy
- new devel library policy
- fix mixture of tabs and spaces

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-1mdv2008.0
+ Revision: 53771
- new version
- fix buildrequires

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.9-1mdv2008.0
+ Revision: 29630
- new version
- drop build dep on libunicode-devel

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2008.0
+ Revision: 18481
- new version


* Wed Mar 28 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.1
+ Revision: 149087
- new version
- enable checks
- Import gmime

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.0
- New release 2.2.3

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- add mono bindings
- new URL
- new version

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 2.1.19-1mdk
- New release 2.1.19

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 2.1.17-1mdk
- New release 2.1.17
- use mkrel

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 2.1.16-1mdk
- New release 2.1.16

* Wed Jul 13 2005 Götz Waschk <waschk@mandriva.org> 2.1.15-1mdk
- enable gtk-doc
- New release 2.1.15

* Sat Apr 30 2005 Götz Waschk <waschk@mandriva.org> 2.1.14-2mdk
- add provides to the lib package

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.14-1mdk
- New release 2.1.14

* Fri Feb 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.11-2mdk 
- Fix gtk-doc localisation
- multiarch

* Thu Feb 17 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Fri Jan 21 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- disable mono
- New release 2.1.10

* Tue Nov 09 2004 Jerome Soyer <saispo@mandrake.org> 2.1.9-1mdk
- 2.1.9

* Mon Aug 02 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.7-2mdk
- add BuildRequires: libz-devel
- remove BuildRequires: libtool (required by rpmbuild)

* Wed Jul 21 2004 Pascal Terjan <pterjan@mandrake.org> 2.1.7-1mdk
- 2.1.7

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5
- merge the static-devel sub package into the devel sub package
- fix deps

